Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class IntranetAction

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.IntranetAction

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

Direct Known Subclasses:
  DeleteDocument, DeleteDocuments, DeleteFolder, Download, InValidateDocument, ModifyDocument, ModifyFolder, NewDocument, NewFolder, OrderDocument, ValidateDocument, ValidateDocuments, ViewDocument, ViewFolder, ViewPermissions

public abstract class IntranetAction
extends org.esupportail.portal.utils.channels.SubChannel

IntranetAction
Classe abstraite définissant un comportement par défaut pour une action
L'accès à cette action nécessite un niveau d'accréditation défini par la méthode
getLevel() sinon l'utilisateur est redirigé vers une page d'erreur
(c)Copyright ESup-Portail 2004

Version:
  1.2
Author:
  Mathieu Larchet

Constructor Summary
`IntranetAction(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`abstract java.lang.Boolean` | `action()` Méthode abstraite implémentant le comportement de l'action lorsque le niveau d'accréditation est suffisant
`abstract int` | `getLevel()` Méthode abstraite définissant le niveau d'accréditation nécessaire pour cette action ISecurityManager.USER, ISecurityManager.PUBLICATOR, ISecurityManager.VALIDATOR
`java.lang.Boolean` | `init(org.jasig.portal.ChannelRuntimeData rd)` Méthode vérifiant le niveau d'accréditation de l'utilisateur courant

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntranetAction

    public IntranetAction(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - Channel principale

Method Detail

### init

    public java.lang.Boolean init(org.jasig.portal.ChannelRuntimeData rd)
                           throws org.jasig.portal.PortalException,
                                  org.esupportail.portal.utils.channels.FrameWorkException

  Méthode vérifiant le niveau d'accréditation de l'utilisateur courant

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE si le niveau est insuffisant, action() sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### action

    public abstract java.lang.Boolean action()
                                      throws org.jasig.portal.PortalException,
                                             org.esupportail.portal.utils.channels.FrameWorkException

  Méthode abstraite implémentant le comportement de l'action lorsque le niveau d'accréditation
  est suffisant

  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### getLevel

    public abstract int getLevel()

  Méthode abstraite définissant le niveau d'accréditation nécessaire pour cette action
  ISecurityManager.USER, ISecurityManager.PUBLICATOR, ISecurityManager.VALIDATOR

  Returns:
    Le niveau d'accréditation minimum

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD